﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Paragraph paragraph1 = new Paragraph(new Run("Paragraph 1"));
            Paragraph paragraph2 = new Paragraph(new Run("Paragraph 2"));
            Paragraph paragraph3 = new Paragraph(new Run("Paragraph 3"));

            Section section = new Section();

            section.Background = Brushes.Red;

            section.Blocks.Add(paragraph1);
            section.Blocks.Add(paragraph2);
            section.Blocks.Add(paragraph3);

            FlowDocument flowDocument = new FlowDocument();

            flowDocument.Blocks.Add(section);

            this.flowDocumentReader.Document = flowDocument;
        }

        #endregion
    }
}